Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.identity.cache
Class IdentityCacheService

    java.lang.Object
      org.jboss.portal.core.identity.cache.IdentityCacheService

    public class IdentityCacheService

extends java.lang.Object

Version:
  : 0.1 $
Author:
  Boleslaw Dawidowicz

Field Summary
`static java.lang.String` | `JNDI_NAME`
`protected java.lang.ThreadLocal<java.util.Map<java.lang.Object,java.util.Map>>` | `profileCache`
`protected java.lang.ThreadLocal<java.util.Map<java.lang.Object,Role>>` | `roleIdCache`
`protected java.lang.ThreadLocal<java.util.Map<java.lang.String,Role>>` | `roleNameCache`
`protected java.lang.ThreadLocal<java.util.Map<java.lang.Object,User>>` | `userIdCache`
`protected java.lang.ThreadLocal<java.util.Map<java.lang.String,User>>` | `userNameCache`

Constructor Summary
`IdentityCacheService()`

Method Summary
`void` | `cleanup()`
`Role` | `findRoleById(java.lang.Object id)`
`Role` | `findRoleByName(java.lang.String roleName)`
`User` | `findUserById(java.lang.Object id)`
`User` | `findUserByUserName(java.lang.String userName)`
`java.util.Map` | `findUserProfileById(java.lang.Object id)`
`void` | `invalidateProfile(User user)`
`void` | `invalidateRole(Role role)`
`void` | `invalidateUser(User user)`
`void` | `storeProfile(User user, java.util.Map profile)`
`void` | `storeRole(Role role)`
`void` | `storeUser(User user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JNDI_NAME

    public static final java.lang.String JNDI_NAME

See Also:
  Constant Field Values

### userNameCache

    protected java.lang.ThreadLocal<java.util.Map<java.lang.String,User>> userNameCache

### userIdCache

    protected java.lang.ThreadLocal<java.util.Map<java.lang.Object,User>> userIdCache

### profileCache

    protected java.lang.ThreadLocal<java.util.Map<java.lang.Object,java.util.Map>> profileCache

### roleNameCache

    protected java.lang.ThreadLocal<java.util.Map<java.lang.String,Role>> roleNameCache

### roleIdCache

    protected java.lang.ThreadLocal<java.util.Map<java.lang.Object,Role>> roleIdCache

Constructor Detail

### IdentityCacheService

    public IdentityCacheService()

Method Detail

### cleanup

    public void cleanup()

### storeUser

    public void storeUser(User user)

### invalidateUser

    public void invalidateUser(User user)

### storeProfile

    public void storeProfile(User user,
                             java.util.Map profile)

### invalidateProfile

    public void invalidateProfile(User user)

### storeRole

    public void storeRole(Role role)

### invalidateRole

    public void invalidateRole(Role role)

### findUserByUserName

    public User findUserByUserName(java.lang.String userName)

### findUserById

    public User findUserById(java.lang.Object id)

### findUserProfileById

    public java.util.Map findUserProfileById(java.lang.Object id)

### findRoleByName

    public Role findRoleByName(java.lang.String roleName)

### findRoleById

    public Role findRoleById(java.lang.Object id)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD